xine-lib: xine-lib-1.2.12/include/xine/configfile.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
configfile.h File Reference
`#include <pthread.h>`
`#include <xine.h>`

Go to the source code of this file.

## Data Structures
struct | cfg_entry_s
struct | config_values_s

## Macros
#define | CONFIG_FILE_VERSION 2
#define | XINE_CONFIG_SECURITY 30

## Typedefs
typedef struct cfg_entry_s | cfg_entry_t
typedef struct config_values_s | config_values_t

## Functions
config_values_t * | _x_config_init (void)
| allocate and init a new xine config object More...
int | _x_config_change_opt (config_values_t *config, const char *opt)
| interpret stream_setup part of mrls for config value changes More...
void | _x_config_unregister_cb_class_d (config_values_t *config, void *callback_data)
void | _x_config_unregister_cb_class_p (config_values_t *config, xine_config_cb_t callback)

## Macro Definition Documentation

## ◆ CONFIG_FILE_VERSION

#define CONFIG_FILE_VERSION 2

## ◆ XINE_CONFIG_SECURITY

#define XINE_CONFIG_SECURITY 30

config entries above this experience level must never be changed from MRL

## Typedef Documentation

## ◆ cfg_entry_t

typedef struct cfg_entry_s cfg_entry_t

## ◆ config_values_t

typedef struct config_values_s config_values_t

## Function Documentation

## ◆ _x_config_change_opt()

int _x_config_change_opt | ( | config_values_t * | config,
|  | const char * | opt
| ) |  |

interpret stream_setup part of mrls for config value changes

References _, config_values_s::config_lock, config_lookup_entry_safe(), config_update_string_e(), cfg_entry_s::exp_level, key, config_values_s::lookup_entry, cfg_entry_s::num_value, cfg_entry_s::type, config_values_s::xine, XINE_CONFIG_SECURITY, XINE_CONFIG_TYPE_BOOL, XINE_CONFIG_TYPE_ENUM, XINE_CONFIG_TYPE_NUM, XINE_CONFIG_TYPE_RANGE, XINE_CONFIG_TYPE_STRING, XINE_CONFIG_TYPE_UNKNOWN, XINE_VERBOSITY_LOG, and xprintf.

Referenced by open_internal().

## ◆ _x_config_init()

config_values_t * _x_config_init | ( | void |  | ) |

allocate and init a new xine config object

References _config_fat_entry_cmp(), config_dispose(), config_free_string(), config_get_serialized_entry(), config_lookup_entry(), config_lookup_num(), config_lookup_string(), config_parse_enum(), config_register_bool(), config_register_enum(), config_register_filename(), config_register_num(), config_register_range(), config_register_serialized_entry(), config_register_string(), config_set_new_entry_callback(), config_unregister_callbacks(), config_unregister_cb(), config_unset_new_entry_callback(), config_update_num(), config_update_string(), NULL, XINE_SARRAY_MODE_UNIQUE, xine_sarray_new(), and xine_sarray_set_mode().

Referenced by xine_new().

## ◆ _x_config_unregister_cb_class_d()

void _x_config_unregister_cb_class_d | ( | config_values_t * | config,
|  | void * | callback_data
| ) |  |

deprecated in favour of config_values_t->unregister_callbacks ().

References _cfg_d_rem(), and _x_assert.

## ◆ _x_config_unregister_cb_class_p()

void _x_config_unregister_cb_class_p | ( | config_values_t * | config,
|  | xine_config_cb_t | callback
| ) |  |

References _cfg_cb_rem(), and _x_assert.